# Class StreamingHlsPlaylistParserError

#### Hierarchy

- StreamingBaseError
  - StreamingHlsPlaylistParserError

#####
Index

### Constructors

constructor

### Properties

category
code
error

## Constructors

### constructor

- new StreamingHlsPlaylistParserError(error): StreamingHlsPlaylistParserError

- #### Parameters

  - error: Error

  #### Returns StreamingHlsPlaylistParserError

  Inherited from StreamingBaseError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingBaseError.category

### `Readonly` code

code: StreamingHlsPlaylistParserError = ErrorCode.StreamingHlsPlaylistParserError

Overrides StreamingBaseError.code

### `Readonly` error

error: Error

Inherited from StreamingBaseError.error